# ObjectProjection Interface Reference
[Object projections for use in Criteria queries]

Inheritance diagram for ObjectProjection:
[legend]

List of all members.

## Public Member Functions

| process (Criteria $criteria, JoinCapableQuery $query)

## Detailed Description

Definition at line 15 of file ObjectProjection.class.php.

## Member Function Documentation

ObjectProjection::process | ( | Criteria $ | criteria,
|  | JoinCapableQuery $ | query |
| ) |  |  |

Returns:
  JoinCapableQuery

Implemented in ClassProjection, HavingProjection, MappableObjectProjection, and ProjectionChain.

The documentation for this interface was generated from the following file:

- main/Criteria/Projections/ObjectProjection.class.php